public inbox for igt-dev@lists.freedesktop.org
 help / color / mirror / Atom feed
* [igt-dev] [PATCH i-g-t] scripts/run-tests.sh: also search path for runner binaries
@ 2020-06-11 18:04 Stefan Agner
  2020-06-11 18:49 ` [igt-dev] ✗ Fi.CI.BAT: failure for " Patchwork
  2020-06-12  5:01 ` [igt-dev] [PATCH i-g-t] " Petri Latvala
  0 siblings, 2 replies; 4+ messages in thread
From: Stefan Agner @ 2020-06-11 18:04 UTC (permalink / raw)
  To: igt-dev

To make the script also useful when igt_runner/igt_resume binarires are
installed, also search PATH for the binaries.

Signed-off-by: Stefan Agner <stefan@agner.ch>
---
 scripts/run-tests.sh | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

diff --git a/scripts/run-tests.sh b/scripts/run-tests.sh
index b7e2faa3..8399b6d1 100755
--- a/scripts/run-tests.sh
+++ b/scripts/run-tests.sh
@@ -67,10 +67,21 @@ fi
 
 IGT_TEST_ROOT="`readlink -f ${IGT_TEST_ROOT}`"
 
-function find_runner_binaries
+function find_runner_binary # basename
 {
-	IGT_RUNNER=$(find_file igt_runner "$ROOT/build/runner" "$ROOT/runner")
-	IGT_RESUME=$(find_file igt_resume "$ROOT/build/runner" "$ROOT/runner")
+	base=$1
+	shift
+
+	binary=$(find_file "$base" "$ROOT/build/runner" "$ROOT/runner")
+	if [ -x "$binary" ]; then
+		echo "$binary"
+		return 0
+	elif binary=$(which "$base"); then
+		echo "$binary"
+		return 0
+	fi
+
+	return 1
 }
 
 function download_piglit {
@@ -177,8 +188,8 @@ if [ "$USE_PIGLIT" -eq "1" ]; then
 	RESUME_ARGS="resume $NORETRY"
 	LIST_ARGS="print-cmd igt --format {name}"
 else
-	find_runner_binaries
-	if [ ! -x "$IGT_RUNNER" -o ! -x "$IGT_RESUME" ]; then
+	if ! IGT_RUNNER=$(find_runner_binary igt_runner) ||
+	   ! IGT_RESUME=$(find_runner_binary igt_resume); then
 		echo "Could not find igt_runner binaries."
 		echo "Please build the runner, or use Piglit with the -p flag."
 		exit 1
-- 
2.27.0

_______________________________________________
igt-dev mailing list
igt-dev@lists.freedesktop.org
https://lists.freedesktop.org/mailman/listinfo/igt-dev

^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2020-06-12  5:06 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-06-11 18:04 [igt-dev] [PATCH i-g-t] scripts/run-tests.sh: also search path for runner binaries Stefan Agner
2020-06-11 18:49 ` [igt-dev] ✗ Fi.CI.BAT: failure for " Patchwork
2020-06-12  5:01 ` [igt-dev] [PATCH i-g-t] " Petri Latvala
2020-06-12  5:06   ` Petri Latvala

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox